Bug 1027007 - inkscape: crash with -p <printername> <file>
inkscape: crash with -p <printername> <file>
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 16:28 EST by Zbigniew Jędrzejewski-Szmek
Modified: 2015-12-02 11:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 22:01:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2013-11-05 16:28:29 EST
Description of problem:
In an attempt to print an svg file, I typed:
   inkscape -p cp4005 plot_specie_many-nuc-Da.svg
(cp4005 is a CUPS printer).
Inkscape crashed, backtrace attached.

Version-Release number of selected component (if applicable):
inkscape-0.48.4-10.fc20.x86_64

(gdb) bt full
#0  Inkscape::Extension::Extension::get_param_string (this=this@entry=0x0, 
    name=name@entry=0xc8b31e "destination", doc=doc@entry=0x0, node=node@entry=0x0)
    at extension/extension.cpp:432
        param = <optimized out>
#1  0x0000000000654853 in sp_print_document_to_file (doc=doc@entry=0x468ef00, filename=0x354a790 "cp4005")
    at print.cpp:158
        context = {module = 0x4272d18}
        oldconst = <optimized out>
        mod = 0x0
        oldoutput = <optimized out>
#2  0x0000000000628d55 in sp_process_file_list (fl=0x351cd20 = {...}) at main.cpp:1025
        filename = 0x3548e90 "plot_specie_many-nuc-Da.svg"
        doc = 0x468ef00
#3  0x0000000000629ee9 in sp_main_console (argc=4, argv=0x7fff84accc38) at main.cpp:1168
        argv2 = 0x7fff84accc38
        fl = 0x351cd20 = {0x3548e90}
        retVal = <optimized out>
        __PRETTY_FUNCTION__ = "int sp_main_console(int, const char**)"
#4  0x00000000006fd61e in Inkscape::NSApplication::Application::run (this=this@entry=0x7fff84accaf0)
    at application/application.cpp:117
        __PRETTY_FUNCTION__ = "gint Inkscape::NSApplication::Application::run()"
#5  0x000000000060ddc7 in main (argc=4, argv=0x7fff84accc38) at main.cpp:714
        inkscape_localedir = <optimized out>
        use_gui = 0
        app = {_vptr.Application = 0xca9990 <vtable for Inkscape::NSApplication::Application+16>, _argc = 4, 
          _argv = 0x7fff84accc38, _app_impl = 0x0, _path_home = 0x0}


How reproducible:
100%.

I understand that I gave the arguments in an unexpected order, but inkscape shouldn't crash. man inkscape is not very clear in regard to how this should be written.
Comment 1 Gwyn Ciesla 2014-07-29 11:20:48 EDT
Can you reproduce this in 0.48.5?
Comment 2 Zbigniew Jędrzejewski-Szmek 2014-07-29 12:56:43 EDT
Yes. I don't see 0.48.5 on F20, so I tried on F21:

[test@fedora21-amd64 ~]$ inkscape -p cp4005 *svg

Emergency save activated!
Emergency save completed. Inkscape will close now.
If you can reproduce this crash, please file a bug at www.inkscape.org
with a detailed description of the steps leading to the crash, so we can fix it.
** Message: Error: Inkscape encountered an internal error and will close now.

Segmentation fault (core dumped)

[test@fedora21-amd64 ~]$ rpm -q inkscape
inkscape-0.48.5-1.fc21.x86_64
Comment 3 Zbigniew Jędrzejewski-Szmek 2014-07-29 13:02:39 EDT
Correction: I see inkscape-0.48.5-1.fc20.x86_64 in updates. The result is the same.
Comment 4 Fedora End Of Life 2015-05-29 05:41:53 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Zbigniew Jędrzejewski-Szmek 2015-05-29 11:42:16 EDT
Still in inkscape-0.91-2.fc21.x86_64.
Comment 6 Fedora End Of Life 2015-11-04 10:31:49 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-12-01 22:01:37 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.